Sentiment
Sentiment of the brand and its competitors per topic or per engine.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidengines?stringComma-separated engine slugs
length <= 500types?stringComma-separated prompt types
length <= 200intents?stringComma-separated prompt intents
length <= 200topics?stringComma-separated topic ids
length <= 2000countries?stringComma-separated ISO country codes, lowercase
length <= 1000scores?stringComma-separated brand sentiment buckets: low (<30), mixed (30 to 49), fair (50 to 74), high (75 to 100)
length <= 100from?stringAnswered on or after this UTC date; omit for all time
^\d{4}-\d{2}-\d{2}$to?stringAnswered on or before this UTC date; omit for today
^\d{4}-\d{2}-\d{2}$by?string"topic""topic""engine"Tracked brands by topics or engines
application/jsonby*string"topic""engine"columns*array<>rows*array<>brands*array<>curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/breakdown'{ "by": "topic", "columns": [ { "key": "string", "name": "string", "color": "string" } ], "rows": [ { "key": "string", "values": [ 0 ] } ], "brands": [ { "key": "string", "name": "string", "domain": "string", "logoUrl": "string", "isBrand": true } ]}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/sentiment/breakdown'{
"by": "topic",
"columns": [
{
"key": "string",
"name": "string",
"color": "string"
}
],
"rows": [
{
"key": "string",
"values": [
0
]
}
],
"brands": [
{
"key": "string",
"name": "string",
"domain": "string",
"logoUrl": "string",
"isBrand": true
}
]
}